worker_processes  auto;

error_log  /dev/stderr warn;
pid        /tmp/nginx.pid;

events {
    worker_connections  1024;
}

http {
    proxy_temp_path /tmp/proxy_temp;
    client_body_temp_path /tmp/client_temp;
    fastcgi_temp_path /tmp/fastcgi_temp;
    uwsgi_temp_path /tmp/uwsgi_temp;
    scgi_temp_path /tmp/scgi_temp;

    client_max_body_size 10M;
    proxy_buffering off;
    proxy_request_buffering off;

    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /dev/stdout  main;

    sendfile        on;

    keepalive_timeout  65;

    server {
        listen       8888;
        server_name  _;
        location /health {
            access_log off;
            return 200 "OK";
        }
    }

    include /etc/nginx/conf.d/*.conf;
}

stream {
    include /etc/nginx/streams.d/*.conf;
}